Delete resource preferences of an activity
delete
/rest/ofscCore/v1/activities/{activityId}/resourcePreferences
This operation deletes the existing resource preferences of the specified activity.
Request
Path Parameters
-
activityId(required): string
The unique identifier of the activity in Oracle Field Service.
Response
Supported Media Types
- application/json
204 Response
This section describes the 204 status response for this operation. This response code indicates that the operation completed successfully. This operation does not return elements in the response body.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to delete resource preferences of an activity by submitting a DELETE request on the REST resource.
Example of Request Header
The following shows an example of the response header.
DELETE /rest/ofscCore/v1/activities/4225361 HTTP/1.0 Authorization: Basic c29hcEB5YW1hdG86MQ== Host: devlaptop03 Accept: */*
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 204 No content Server: nginx/1.6.2 Date: Fri, 24 Jul 2015 08:35:48 GMT Content-Type: application/json; charset=utf-8 Connection: close